#! /bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/UPDATE_CHK_MOD_CUI.sh - script dialog for ece
#
# Creation:     2016-06-17 Helmut Backhaus
# Last update:  2016-06-20 Helmut Backhaus
#
# Copyright (c) 2016 Helmut Backhaus helmut(dot)backhaus(at)gmx(dot)de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#
---------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#
---------------------------------------------------------------------------
exec_dialog()
{
    win="${p2}"

    sellist='console,mail,both'

    ece_select_list_dlg "${win}" "Select update check mode" "${sellist}"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run 

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
