#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - update-chk installation
#
# Creation:     2016-06-13  Helmut Backhaus
# Last Update:  2016-06-25  Helmut Backhaus
#
# Copyright (c) 2016 Helmut Backhaus helmut(dot)backhaus(at)gmx(dot)de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# set package name
#----------------------------------------------------------------------------
package_name=update-chk

#----------------------------------------------------------------------------
# install update-chk eis menu
#----------------------------------------------------------------------------
/var/install/bin/add-menu   setup.services.menu   \
                            setup.services.update-chk.menu  \
                            "Update Checker"

# ---------------------------------------------------------------------------
# create default config
# ---------------------------------------------------------------------------
if [ -f "/etc/config.d/${package_name}" ] ; then
  update=true
fi

/var/install/config.d/${package_name}-update.sh

# ---------------------------------------------------------------------------
# start configuration editor
# ---------------------------------------------------------------------------
if ${update:-false} ; then
  /var/install/config.d/${package_name}.sh
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
